#pragma once

#include <maps/wikimap/mapspro/services/tasks_feedback/src/sprav_pedestrian_feedback/lib/common.h>
#include "sprav_feedback.h"

namespace maps::wiki::sprav_feedback {

template<>
common::AdvisoryLockIds lockId<SpravFeedback>();

template<>
std::string lastTimeTableName<SpravFeedback>();

template<>
std::string ytTableName<SpravFeedback>();

template <>
class ProcessParams<SpravFeedback>
{
public:
    const std::string socialUrl;
};

template <>
void processFunc(pqxx::transaction_base& coreTxn,
    const SpravFeedback& fb,
    const ProcessParams<SpravFeedback>& config);

} // namespace maps::wiki::sprav_feedback
